org.apache.poi.hssf.record.chart

## Class DatRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.chart.DatRecord

- All Implemented Interfaces:
    Duplicatable

      public final class DatRecord
      extends StandardRecord

  The dat record is used to store options for the chart.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatRecord()`
    `DatRecord(DatRecord other)`
    `DatRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatRecord` | `clone()` Deprecated.
    `DatRecord` | `copy()`
    `protected int` | `getDataSize()`
    `short` | `getOptions()` Get the options field for the Dat record.
    `short` | `getSid()` return the non static version of the id for this record.
    `boolean` | `isBorder()` data table has a border
    `boolean` | `isHorizontalBorder()` has a horizontal border
    `boolean` | `isShowSeriesKey()` shows the series key
    `boolean` | `isVerticalBorder()` has vertical border
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setBorder(boolean value)` Sets the border field value.
    `void` | `setHorizontalBorder(boolean value)` Sets the horizontal border field value.
    `void` | `setOptions(short field_1_options)` Set the options field for the Dat record.
    `void` | `setShowSeriesKey(boolean value)` Sets the show series key field value.
    `void` | `setVerticalBorder(boolean value)` Sets the vertical border field value.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DatRecord

          public DatRecord()

    - #### DatRecord

          public DatRecord(DatRecord other)

    - #### DatRecord

          public DatRecord(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public DatRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public DatRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

    - #### getOptions

          public short getOptions()

      Get the options field for the Dat record.

    - #### setOptions

          public void setOptions(short field_1_options)

      Set the options field for the Dat record.

    - #### setHorizontalBorder

          public void setHorizontalBorder(boolean value)

      Sets the horizontal border field value. has a horizontal border

    - #### isHorizontalBorder

          public boolean isHorizontalBorder()

      has a horizontal border
      Returns:
        the horizontal border field value.

    - #### setVerticalBorder

          public void setVerticalBorder(boolean value)

      Sets the vertical border field value. has vertical border

    - #### isVerticalBorder

          public boolean isVerticalBorder()

      has vertical border
      Returns:
        the vertical border field value.

    - #### setBorder

          public void setBorder(boolean value)

      Sets the border field value. data table has a border

    - #### isBorder

          public boolean isBorder()

      data table has a border
      Returns:
        the border field value.

    - #### setShowSeriesKey

          public void setShowSeriesKey(boolean value)

      Sets the show series key field value. shows the series key

    - #### isShowSeriesKey

          public boolean isShowSeriesKey()

      shows the series key
      Returns:
        the show series key field value.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.